Package ghidra.app.cmd.formats

# Class PortableExecutableBinaryAnalysisCommand

java.lang.Object
ghidra.program.flatapi.FlatProgramAPI
ghidra.app.cmd.formats.PortableExecutableBinaryAnalysisCommand

All Implemented Interfaces:
  `ghidra.app.plugin.core.analysis.AnalysisWorker`, `BinaryAnalysisCommand`, `ExtensionPoint`

public class PortableExecutableBinaryAnalysisCommand extends FlatProgramAPI implements BinaryAnalysisCommand, ghidra.app.plugin.core.analysis.AnalysisWorker

- ## Field Summary

  ### Fields inherited from class ghidra.program.flatapi.FlatProgramAPI

  `currentProgram, MAX_REFERENCES_TO, monitor`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PortableExecutableBinaryAnalysisCommand()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `analysisWorkerCallback(Program program, Object workerContext, TaskMonitor monitor)`
  `boolean`
  `applyTo(Program program, TaskMonitor monitor)`
  Applies the command to the given domain object.
  `boolean`
  `canApply(Program program)`
  Returns TRUE if this command can be applied to the given domain object.
  `MessageLog`
  `getMessages()`
  Returns the status message indicating the status of the command.
  `String`
  `getName()`
  Returns the name of this command.
  `String`
  `getWorkerName()`

  ### Methods inherited from class ghidra.program.flatapi.FlatProgramAPI

  `addEntryPoint, addInstructionXref, analyze, analyzeAll, analyzeChanges, clearListing, clearListing, clearListing, clearListing, createAddressSet, createAsciiString, createAsciiString, createBookmark, createByte, createChar, createClass, createData, createDouble, createDWord, createDwords, createEquate, createEquate, createExternalReference, createExternalReference, createExternalReference, createFloat, createFragment, createFragment, createFragment, createFragment, createFunction, createLabel, createLabel, createLabel, createMemoryBlock, createMemoryBlock, createMemoryReference, createMemoryReference, createNamespace, createQWord, createStackReference, createSymbol, createSymbol, createUnicodeString, createWord, disassemble, end, find, find, find, findBytes, findBytes, findBytes, findBytes, findBytes, findPascalStrings, findStrings, getAddressFactory, getBookmarks, getByte, getBytes, getCurrentProgram, getDataAfter, getDataAfter, getDataAt, getDataBefore, getDataBefore, getDataContaining, getDataTypes, getDouble, getEOLComment, getEquate, getEquate, getEquates, getFirstData, getFirstFunction, getFirstInstruction, getFirstInstruction, getFloat, getFragment, getFunction, getFunctionAfter, getFunctionAfter, getFunctionAt, getFunctionBefore, getFunctionBefore, getFunctionContaining, getGlobalFunctions, getInstructionAfter, getInstructionAfter, getInstructionAt, getInstructionBefore, getInstructionBefore, getInstructionContaining, getInt, getLastData, getLastFunction, getLastInstruction, getLong, getMemoryBlock, getMemoryBlock, getMemoryBlocks, getMonitor, getNamespace, getPlateComment, getPostComment, getPreComment, getProgramFile, getProjectRootFolder, getReference, getReference, getReferencesFrom, getReferencesTo, getRepeatableComment, getShort, getSymbol, getSymbolAfter, getSymbolAfter, getSymbolAt, getSymbolAt, getSymbolAt, getSymbolBefore, getSymbolBefore, getSymbols, getUndefinedDataAfter, getUndefinedDataAt, getUndefinedDataBefore, openDataTypeArchive, removeBookmark, removeData, removeDataAt, removeEntryPoint, removeEquate, removeEquate, removeEquates, removeFunction, removeFunctionAt, removeInstruction, removeInstructionAt, removeMemoryBlock, removeReference, removeSymbol, saveProgram, saveProgram, set, setByte, setBytes, setDouble, setEOLComment, setFloat, setInt, setLong, setPlateComment, setPostComment, setPreComment, setReferencePrimary, setReferencePrimary, setRepeatableComment, setShort, start, toAddr, toAddr, toAddr`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PortableExecutableBinaryAnalysisCommand

    public PortableExecutableBinaryAnalysisCommand()

- ## Method Details

  - ### canApply

    public boolean canApply(Program program)
    Description copied from interface: `BinaryAnalysisCommand`
    Returns TRUE if this command can be applied to the given domain object.
    Specified by:
      `canApply` in interface `BinaryAnalysisCommand`
    Parameters:
      `program` - the domain object to inspect.
    Returns:
      TRUE if this command can be applied

  - ### analysisWorkerCallback

    public boolean analysisWorkerCallback(Program program, Object workerContext, TaskMonitor monitor) throws Exception, CancelledException
    Specified by:
      `analysisWorkerCallback` in interface `ghidra.app.plugin.core.analysis.AnalysisWorker`
    Throws:
      `Exception`
      `CancelledException`

  - ### getWorkerName

    public String getWorkerName()
    Specified by:
      `getWorkerName` in interface `ghidra.app.plugin.core.analysis.AnalysisWorker`

  - ### applyTo

    public boolean applyTo(Program program, TaskMonitor monitor) throws Exception
    Description copied from interface: `BinaryAnalysisCommand`
    Applies the command to the given domain object.
    Specified by:
      `applyTo` in interface `BinaryAnalysisCommand`
    Parameters:
      `program` - domain object that this command is to be applied.
      `monitor` - the task monitor
    Returns:
      true if the command applied successfully
    Throws:
      `Exception`

  - ### getName

    public String getName()
    Description copied from interface: `BinaryAnalysisCommand`
    Returns the name of this command.
    Specified by:
      `getName` in interface `BinaryAnalysisCommand`
    Returns:
      the name of this command

  - ### getMessages

    public MessageLog getMessages()
    Description copied from interface: `BinaryAnalysisCommand`
    Returns the status message indicating the status of the command.
    Specified by:
      `getMessages` in interface `BinaryAnalysisCommand`
    Returns:
      reason for failure, or null if the status of the command was successful